logo
TagsUpdate tag
Tags

Update tag

Updates a tag's description and/or color. The tag name cannot be changed.

curl -X PATCH "https://api.sendkit.ai/v1/tags/interested" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "color": "#f59e0b"
}'
{
  "success": true,
  "data": {
    "name": "interested",
    "description": "Lead is highly interested and wants a demo",
    "color": "#f59e0b"
  }
}
PATCH
/v1/tags/{name}
PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
path
namestring
Required

Tag label name (exact match)

Content-Typestring
Required

The media type of the request body

Options: application/json
descriptionstring

Updated description

colorstring

Updated hex color code

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

namestring
Required

Tag label name (exact match)

Body

application/json
descriptionstring

Updated description

colorstring

Updated hex color code

Responses

successboolean
dataobject